#################################################
#
#  (C) 2013 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( "${TDE_CMAKE_DIR}/kate.cmake" )

add_subdirectory( scripts )
add_subdirectory( htmltools )
add_subdirectory( kpybrowser )
add_subdirectory( modeline )
add_subdirectory( openheader )
add_subdirectory( textfilter )
add_subdirectory( xmltools )
add_subdirectory( xmlcheck )
add_subdirectory( filelistloader )
add_subdirectory( cppsymbolviewer )
add_subdirectory( tabbarextension )
add_subdirectory( filetemplates )
add_subdirectory( snippets )
add_subdirectory( insertcommand )
add_subdirectory( make )
add_subdirectory( helloworld )
add_subdirectory( katesort )

#### other data #################################

tde_create_translated_desktop(
  SOURCE kate-plugins.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  PO_DIR kate-plugins-desktops
)
